# Uses of Interface
org.bukkit.entity.Firework

Packages that use Firework
Package
Description
com.destroystokyo.paper.event.player
org.bukkit.entity
Interfaces for non-voxel objects that can exist in a `world`, including all players, monsters, projectiles, etc.
org.bukkit.event.entity
`Events` relating to `entities`, excluding some directly referencing some more specific entity types.

## Uses of Firework in com.destroystokyo.paper.event.player

Methods in com.destroystokyo.paper.event.player that return Firework
Modifier and Type
Method
Description
`@NotNull Firework`
PlayerElytraBoostEvent.`getFirework()`
Get the firework entity that was spawned
Constructors in com.destroystokyo.paper.event.player with parameters of type Firework
Modifier
Constructor
Description
``
`PlayerElytraBoostEvent(@NotNull Player player, @NotNull ItemStack itemStack, @NotNull Firework firework)`

## Uses of Firework in org.bukkit.entity

Methods in org.bukkit.entity that return Firework
Modifier and Type
Method
Description
`@Nullable Firework`
Player.`boostElytra(@NotNull ItemStack firework)`
Boost a Player that's `LivingEntity.isGliding()` using a `Firework`.
`@Nullable Firework`
HumanEntity.`fireworkBoost(@NotNull ItemStack fireworkItemStack)`
Perform a firework boost.

## Uses of Firework in org.bukkit.event.entity

Methods in org.bukkit.event.entity that return Firework
Modifier and Type
Method
Description
`@NotNull Firework`
FireworkExplodeEvent.`getEntity()`
Constructors in org.bukkit.event.entity with parameters of type Firework
Modifier
Constructor
Description
``
`FireworkExplodeEvent(@NotNull Firework what)`